libnvme(9)

NAME
struct nvme_id_independent_id_ns - Identify - I/O Command Set Independent Identify Namespace Data Structure

SYNOPSIS
struct nvme_id_independent_id_ns {
__u8 nsfeat;
__u8 nmic;
__u8 rescap;
__u8 fpi;
__le32 anagrpid;
__u8 nsattr;
__u8 rsvd9;
__le16 nvmsetid;
__le16 endgid;
__u8 nstat;
__u8 kpios;
__le16 maxkt;
__u8 rsvd18[2];
__le32 rgrpid;
__u8 rsvd24[4072];
};

Members

nsfeat
    common namespace features

nmic
    Namespace Multi-path I/O and Namespace Sharing Capabilities

rescap
    Reservation Capabilities

fpi Format Progress Indicator

anagrpid
    ANA Group Identifier

nsattr
    Namespace Attributes

rsvd9
    reserved

nvmsetid
    NVM Set Identifier

endgid
    Endurance Group Identifier

nstat
    Namespace Status

kpios
    Key Per I/O Status

maxkt
    Maximum Key Tag

rsvd18
    Reserved

rgrpid
    Reachability Group Identifier

rsvd24
    Reserved